LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XJavaThreadRegister_11 Interface Referencepublished

must be implemented by the user of the XJavaThreadRegister_11. More...

`import"XJavaThreadRegister_11.idl";`

Inheritance diagram for XJavaThreadRegister_11:

## Public Member Functions
boolean | isThreadAttached ()
| returns `TRUE` if the current thread is already attached to the VM otherwise `FALSE`. More...
void | registerThread ()
| registers the current thread. More...
void | revokeThread ()
| revokes the current thread from the list of registered threads. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

must be implemented by the user of the XJavaThreadRegister_11.

Note
  incomplete

Deprecated:

## Member Function Documentation

## ◆ isThreadAttached()

boolean isThreadAttached | ( |  | ) |

returns `TRUE` if the current thread is already attached to the VM otherwise `FALSE`.

## ◆ registerThread()

void registerThread | ( |  | ) |

registers the current thread.

This method should be called every time a JNI function is called from Java.

## ◆ revokeThread()

void revokeThread | ( |  | ) |

revokes the current thread from the list of registered threads.

This method should be called at the end of every JNI call from Java.

The documentation for this interface was generated from the following file:

- com/sun/star/java/XJavaThreadRegister_11.idl